import { ConnectorConfig } from "rsocket-core";
import { Auth } from "./rsocket.type";
export declare class RsocketConfig {
    private config;
    private route;
    private url;
    constructor(url: string, route?: string, config?: Omit<ConnectorConfig, 'transport' | 'resume'>);
    payload({ data, auth }: {
        data?: unknown;
        auth?: Auth;
    }): this;
    setAuth(auth: Auth): void;
    private buildAuthMetadata;
    getUrl(): string;
    getConfig(): ConnectorConfig;
}
